import type { BasicDataset, BasicDimension, BasicMeta, BasicMetric, NormalizedEChartOption } from '../echarts/types';
import type { BuiltInAddon, UniversalAddon } from '../echarts/addon-types';
export interface EChartOptionParams {
    dataset: BasicDataset;
    dimensions: BasicDimension | BasicDimension[];
    metrics: BasicMetric | BasicMetric[];
    meta?: BasicMeta[];
    addons?: (UniversalAddon | BuiltInAddon)[];
}
export declare function useEChartOption(params: EChartOptionParams): NormalizedEChartOption;
